<?php
/**
 * Plugin Name: YITH Footer Banner
 * Plugin URI: https://yithemes.com/themes/plugins/yith-footer-banner/
 * Description: YITH Footer Banner allows you to add a banner in your footer and customize it.
 * Version: 1.0.12
 * Author: YITHEMES
 * Author URI: https://yithemes.com/
 * Text Domain: yith-footer-banner
 * Domain Path: /languages/
 *
 * @author Your Inspiration Themes
 * @package YITH Footer Banner
 * @version 1.0.10
 */
/*  Copyright 2013  Your Inspiration Themes  (email : plugins@yithemes.com)
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as
published by the Free Software Foundation.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly

/* Include common functions */
if (!defined('YITH_FUNCTIONS')) {
    require_once('yit-common/yit-functions.php');
}

load_plugin_textdomain('yith-footer-banner', false, dirname(plugin_basename(__FILE__)) . '/languages/');

define('YITH_FBANNER', true);
define('YITH_FBANNER_URL', plugin_dir_url(__FILE__));
define('YITH_FBANNER_DIR', plugin_dir_path(__FILE__));

// Load required classes and functions
require_once('functions.yith-fbanner.php');
require_once('yith-fbanner-options.php');
require_once('class.yith-fbanner-admin.php');
require_once('class.yith-fbanner-frontend.php');
require_once('class.yith-fbanner.php');

// Let's start the game!
global $yith_footer_banner;
$yith_footer_banner = new YITH_Footer_Banner();